# Magic Forms for OctoberCMS
Create easy (and almost magic) AJAX forms.



## Why Magic Forms?
Almost everyday we do forms for our clients, personal projects, etc

Sometimes we need to add or remove fields, change validations, store data and at some point, this can be boring and repetitive.

So, the objective was to find a way to just put the HTML elements on the page, skip the repetitive task of coding and (with some kind of magic) store this data on a database or send by mail.



## Features
* Create any type of form: contact, feedback, registration, uploads, etc
* Write only HTML
* Don't code forms logic
* Laravel validation
* Custom validation errors
* Use multiple forms on same page
* Store on database
* Export data in CSV
* Access database records from backend
* Send mail notifications to multiple recipients
* Auto-response email on form submit
* reCAPTCHA validation
* Support for Translate plugin
* Inline errors with fields (read documentation for more info)
* AJAX file uploads (BETA, available since v1.3.0)



## Documentation
Checkout our docs at:
> https://skydiver.github.io/october-plugin-forms/
